DL_Algorithm_LUC_HMP Class Reference

LUC HMP signature algorithm. More...

`#include <luc.h>`

Inheritance diagram for DL_Algorithm_LUC_HMP:

## Public Member Functions

void | Sign (const DL_GroupParameters< Integer > &params, const Integer &x, const Integer &k, const Integer &e, Integer &r, Integer &s) const
| Sign a message using a private key.
bool | Verify (const DL_GroupParameters< Integer > &params, const DL_PublicKey< Integer > &publicKey, const Integer &e, const Integer &r, const Integer &s) const
| Verify a message using a public key.
size_t | RLen (const DL_GroupParameters< Integer > &params) const
| Retrieve R length.
Public Member Functions inherited from DL_ElgamalLikeSignatureAlgorithm< Integer >
virtual Integer | RecoverPresignature (const DL_GroupParameters< Integer > &params, const DL_PublicKey< Integer > &publicKey, const Integer &r, const Integer &s) const
| Recover a Presignature.
virtual size_t | SLen (const DL_GroupParameters< Integer > &params) const
| Retrieve S length.
virtual bool | IsDeterministic () const
| Signature scheme flag.

## Static Public Member Functions

static const char * | StaticAlgorithmName ()

## Detailed Description

LUC HMP signature algorithm.

Since
  Crypto++ 2.1

Definition at line 265 of file luc.h.

## Constructor & Destructor Documentation

## ~DL_Algorithm_LUC_HMP()

virtual DL_Algorithm_LUC_HMP::~DL_Algorithm_LUC_HMP | ( |  | ) |

inline virtual

Definition at line 270 of file luc.h.

## Member Function Documentation

## StaticAlgorithmName()

const char * DL_Algorithm_LUC_HMP::StaticAlgorithmName | ( |  | ) |

inline static

Definition at line 268 of file luc.h.

## Sign()

void DL_Algorithm_LUC_HMP::Sign | ( | const DL_GroupParameters< Integer > & | params,
|  | const Integer & | privateKey,
|  | const Integer & | k,
|  | const Integer & | e,
|  | Integer & | r,
|  | Integer & | s ) const

virtual

Sign a message using a private key.

Parameters

  params | GroupParameters
  privateKey | private key
  k | signing exponent
  e | encoded message
  r | r part of signature
  s | s part of signature

Implements DL_ElgamalLikeSignatureAlgorithm< Integer >.

Definition at line 23 of file luc.cpp.

## Verify()

bool DL_Algorithm_LUC_HMP::Verify | ( | const DL_GroupParameters< Integer > & | params,
|  | const DL_PublicKey< Integer > & | publicKey,
|  | const Integer & | e,
|  | const Integer & | r,
|  | const Integer & | s ) const

virtual

Verify a message using a public key.

Parameters

  params | GroupParameters
  publicKey | public key
  e | encoded message
  r | r part of signature
  s | s part of signature

Implements DL_ElgamalLikeSignatureAlgorithm< Integer >.

Definition at line 30 of file luc.cpp.

## RLen()

size_t DL_Algorithm_LUC_HMP::RLen | ( | const DL_GroupParameters< Integer > & | params | ) | const

inline virtual

Retrieve R length.

Parameters

  params | GroupParameters

Reimplemented from DL_ElgamalLikeSignatureAlgorithm< Integer >.

Definition at line 275 of file luc.h.

The documentation for this class was generated from the following files:

- luc.h
- luc.cpp